<!doctype html>
<html lang="en">
  <head>
    <!-- Required meta tags -->
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">

    <!-- Bootstrap CSS -->
    <link rel="stylesheet" href="<?php echo base_url()?>assets/css/bootstrap.min.css" integrity="sha384-Gn5384xqQ1aoWXA+058RXPxPg6fy4IWvTNh0E263XmFcJlSAwiGgFAW/dAiS6JXm" crossorigin="anonymous">

    <link rel="icon" type="image/png" href="../assets/images/favicon.png" />

    <title>Aplikasi UMKM</title>
  </head>
  <body>

    <div class="container">
    <div class="card mt-5">
        <div class="card-header bg-primary text-white">
            <strong>Login Aplikasi UMKM</strong>
        </div>
        <div class="card-body">
            <div class="row">
                <div class="col col-md-8 text-center">
                    <img src="<?php echo base_url()?>assets/images/login-splash.png" height="300" />
                </div>
                <div class="col col-md-3">
                    <form action="" method="POST">

                    <?php 
                         if(isset($error)){
                        ?>
                        <div class="form-group">
                            <div class="alert alert-danger" role="alert">
                                <?php echo $error ?>
                            </div>
                        </div>
                         
                        <?php
                            }
                        ?>

                        <div class="form-group">
                            <label for="exampleInputEmail1">Username</label>
                            <input name="username" type="text" class="form-control" placeholder="Enter username">
                        </div>
                        <div class="form-group">
                            <label for="exampleInputPassword1">Password</label>
                            <input type="password" name="password" class="form-control" id="exampleInputPassword1" placeholder="Password">
                        </div>
                        
                        <button type="submit" class="btn btn-primary">Login</button>
                    </form>
                </div>
            </div>
            <div class="text-center"><a href="<?php echo base_url()?>index.php/">Kembali ke Beranda</a></div>
        </div>
       
        <div class="card-footer text-muted">
            Copyright 2021 || Ardi Ferdianto
        </div>
        </div>
    </div>
    

    <!-- Optional JavaScript -->
    <!-- jQuery first, then Popper.js, then Bootstrap JS -->
    <script src="<?php echo base_url()?>assets/js/jquery-3.2.1.slim.min.js" integrity="sha384-KJ3o2DKtIkvYIK3UENzmM7KCkRr/rE9/Qpg6aAZGJwFDMVNA/GpGFF93hXpG5KkN" crossorigin="anonymous"></script>
    <script src="<?php echo base_url()?>assets/js/popper.min.js" integrity="sha384-ApNbgh9B+Y1QKtv3Rn7W3mgPxhU9K/ScQsAP7hUibX39j7fakFPskvXusvfa0b4Q" crossorigin="anonymous"></script>
    <script src="<?php echo base_url()?>assets/js/bootstrap.min.js" integrity="sha384-JZR6Spejh4U02d8jOt6vLEHfe/JQGiRRSQQxSfFWpi1MquVdAyjUar5+76PVCmYl" crossorigin="anonymous"></script>
  </body>
</html>