-- phpMyAdmin SQL Dump
-- version 5.1.1
-- https://www.phpmyadmin.net/
--
-- Host: 127.0.0.1
-- Generation Time: Sep 19, 2021 at 02:23 PM
-- Server version: 10.4.21-MariaDB
-- PHP Version: 7.4.23

SET SQL_MODE = "NO_AUTO_VALUE_ON_ZERO";
START TRANSACTION;
SET time_zone = "+00:00";


/*!40101 SET @OLD_CHARACTER_SET_CLIENT=@@CHARACTER_SET_CLIENT */;
/*!40101 SET @OLD_CHARACTER_SET_RESULTS=@@CHARACTER_SET_RESULTS */;
/*!40101 SET @OLD_COLLATION_CONNECTION=@@COLLATION_CONNECTION */;
/*!40101 SET NAMES utf8mb4 */;

--
-- Database: `db_umkm2`
--

-- --------------------------------------------------------

--
-- Table structure for table `tb_absen`
--

CREATE TABLE `tb_absen` (
  `id_absen` bigint(20) NOT NULL,
  `bulan` int(11) NOT NULL,
  `tahun` int(11) NOT NULL,
  `jumlah_umkm` bigint(20) NOT NULL,
  `omset` bigint(20) NOT NULL,
  `aset` bigint(20) NOT NULL,
  `karyawan_l` bigint(20) NOT NULL,
  `karyawan_p` bigint(20) NOT NULL,
  `status_absen` enum('open','close') NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4;

--
-- Dumping data for table `tb_absen`
--

INSERT INTO `tb_absen` (`id_absen`, `bulan`, `tahun`, `jumlah_umkm`, `omset`, `aset`, `karyawan_l`, `karyawan_p`, `status_absen`) VALUES
(35, 1, 2020, 0, 0, 0, 0, 0, 'close'),
(36, 2, 2020, 0, 0, 0, 0, 0, 'close'),
(37, 3, 2020, 0, 0, 0, 0, 0, 'close'),
(38, 4, 2020, 0, 0, 0, 0, 0, 'close'),
(39, 5, 2020, 0, 0, 0, 0, 0, 'close'),
(40, 6, 2020, 0, 0, 0, 0, 0, 'close'),
(41, 7, 2020, 0, 0, 0, 0, 0, 'close'),
(42, 8, 2020, 0, 0, 0, 0, 0, 'close'),
(43, 9, 2020, 0, 0, 0, 0, 0, 'close'),
(44, 10, 2020, 0, 0, 0, 0, 0, 'close'),
(45, 11, 2020, 0, 0, 0, 0, 0, 'close'),
(46, 12, 2020, 4, 0, 0, 0, 0, 'close'),
(74, 1, 2021, 5, 54000000, 155000000, 59, 34, 'close'),
(75, 2, 2021, 5, 102000000, 155000000, 59, 36, 'close'),
(76, 3, 2021, 5, 0, 155000000, 59, 36, 'close'),
(77, 4, 2021, 5, 0, 155000000, 59, 36, 'close'),
(78, 5, 2021, 5, 0, 155000000, 59, 36, 'close'),
(79, 6, 2021, 5, 0, 155000000, 59, 36, 'close'),
(80, 7, 2021, 5, 0, 155000000, 59, 36, 'close'),
(81, 8, 2021, 5, 0, 155000000, 59, 36, 'close'),
(82, 9, 2021, 5, 0, 155000000, 59, 36, 'close'),
(83, 10, 2021, 5, 0, 155000000, 59, 36, 'close'),
(84, 11, 2021, 5, 0, 155000000, 59, 36, 'close'),
(85, 12, 2021, 5, 0, 155000000, 59, 36, 'close');

-- --------------------------------------------------------

--
-- Table structure for table `tb_absensi`
--

CREATE TABLE `tb_absensi` (
  `id_absensi` bigint(20) NOT NULL,
  `id_absen` varchar(20) NOT NULL,
  `id_umkm` varchar(20) NOT NULL,
  `id_pemilik` varchar(20) NOT NULL,
  `id_jenis` bigint(20) NOT NULL,
  `id_kategori` bigint(20) NOT NULL,
  `kecamatan` varchar(50) NOT NULL,
  `kelurahan` varchar(50) NOT NULL,
  `aset` bigint(20) NOT NULL,
  `omset` bigint(20) NOT NULL,
  `karyawan_l` bigint(20) NOT NULL,
  `karyawan_p` bigint(20) NOT NULL,
  `bulan` varchar(20) NOT NULL,
  `tahun` varchar(20) NOT NULL,
  `signed` tinyint(1) NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4;

--
-- Dumping data for table `tb_absensi`
--

INSERT INTO `tb_absensi` (`id_absensi`, `id_absen`, `id_umkm`, `id_pemilik`, `id_jenis`, `id_kategori`, `kecamatan`, `kelurahan`, `aset`, `omset`, `karyawan_l`, `karyawan_p`, `bulan`, `tahun`, `signed`) VALUES
(121, '35', '1', '2', 0, 0, 'Magelang Selatan', 'Jurangombo Selatan', 0, 0, 0, 0, '1', '2020', 1),
(122, '35', '2', '2', 0, 0, 'Magelang Selatan', 'Magersari', 0, 0, 0, 0, '1', '2020', 1),
(123, '35', '3', '2', 0, 0, 'Magelang Tengah', 'Rejowinangun Utara', 0, 0, 0, 0, '1', '2020', 1),
(124, '35', '4', '6', 0, 0, 'Magelang Utara', 'Potrobangsan', 0, 0, 0, 0, '1', '2020', 1),
(125, '36', '1', '2', 0, 0, 'Magelang Selatan', 'Jurangombo Selatan', 0, 0, 0, 0, '2', '2020', 1),
(126, '36', '2', '2', 0, 0, 'Magelang Selatan', 'Magersari', 0, 0, 0, 0, '2', '2020', 1),
(127, '36', '3', '2', 0, 0, 'Magelang Tengah', 'Rejowinangun Utara', 0, 0, 0, 0, '2', '2020', 1),
(128, '36', '4', '6', 0, 0, 'Magelang Utara', 'Potrobangsan', 0, 0, 0, 0, '2', '2020', 1),
(129, '37', '1', '2', 0, 0, 'Magelang Selatan', 'Jurangombo Selatan', 0, 0, 0, 0, '3', '2020', 1),
(130, '37', '2', '2', 0, 0, 'Magelang Selatan', 'Magersari', 0, 0, 0, 0, '3', '2020', 1),
(131, '37', '3', '2', 0, 0, 'Magelang Tengah', 'Rejowinangun Utara', 0, 0, 0, 0, '3', '2020', 1),
(132, '37', '4', '6', 0, 0, 'Magelang Utara', 'Potrobangsan', 0, 0, 0, 0, '3', '2020', 1),
(133, '38', '1', '2', 0, 0, 'Magelang Selatan', 'Jurangombo Selatan', 0, 0, 0, 0, '4', '2020', 1),
(134, '38', '2', '2', 0, 0, 'Magelang Selatan', 'Magersari', 0, 0, 0, 0, '4', '2020', 1),
(135, '38', '3', '2', 0, 0, 'Magelang Tengah', 'Rejowinangun Utara', 0, 0, 0, 0, '4', '2020', 1),
(136, '38', '4', '6', 0, 0, 'Magelang Utara', 'Potrobangsan', 0, 0, 0, 0, '4', '2020', 1),
(137, '39', '1', '2', 0, 0, 'Magelang Selatan', 'Jurangombo Selatan', 0, 0, 0, 0, '5', '2020', 1),
(138, '39', '2', '2', 0, 0, 'Magelang Selatan', 'Magersari', 0, 0, 0, 0, '5', '2020', 1),
(139, '39', '3', '2', 0, 0, 'Magelang Tengah', 'Rejowinangun Utara', 0, 0, 0, 0, '5', '2020', 1),
(140, '39', '4', '6', 0, 0, 'Magelang Utara', 'Potrobangsan', 0, 0, 0, 0, '5', '2020', 1),
(141, '40', '1', '2', 0, 0, 'Magelang Selatan', 'Jurangombo Selatan', 0, 0, 0, 0, '6', '2020', 1),
(142, '40', '2', '2', 0, 0, 'Magelang Selatan', 'Magersari', 0, 0, 0, 0, '6', '2020', 1),
(143, '40', '3', '2', 0, 0, 'Magelang Tengah', 'Rejowinangun Utara', 0, 0, 0, 0, '6', '2020', 1),
(144, '40', '4', '6', 0, 0, 'Magelang Utara', 'Potrobangsan', 0, 0, 0, 0, '6', '2020', 1),
(145, '41', '1', '2', 0, 0, 'Magelang Selatan', 'Jurangombo Selatan', 0, 0, 0, 0, '7', '2020', 1),
(146, '41', '2', '2', 0, 0, 'Magelang Selatan', 'Magersari', 0, 0, 0, 0, '7', '2020', 1),
(147, '41', '3', '2', 0, 0, 'Magelang Tengah', 'Rejowinangun Utara', 0, 0, 0, 0, '7', '2020', 1),
(148, '41', '4', '6', 0, 0, 'Magelang Utara', 'Potrobangsan', 0, 0, 0, 0, '7', '2020', 1),
(149, '42', '1', '2', 0, 0, 'Magelang Selatan', 'Jurangombo Selatan', 0, 0, 0, 0, '8', '2020', 1),
(150, '42', '2', '2', 0, 0, 'Magelang Selatan', 'Magersari', 0, 0, 0, 0, '8', '2020', 1),
(151, '42', '3', '2', 0, 0, 'Magelang Tengah', 'Rejowinangun Utara', 0, 0, 0, 0, '8', '2020', 1),
(152, '42', '4', '6', 0, 0, 'Magelang Utara', 'Potrobangsan', 0, 0, 0, 0, '8', '2020', 1),
(153, '43', '1', '2', 0, 0, 'Magelang Selatan', 'Jurangombo Selatan', 0, 0, 0, 0, '9', '2020', 1),
(154, '43', '2', '2', 0, 0, 'Magelang Selatan', 'Magersari', 0, 0, 0, 0, '9', '2020', 1),
(155, '43', '3', '2', 0, 0, 'Magelang Tengah', 'Rejowinangun Utara', 0, 0, 0, 0, '9', '2020', 1),
(156, '43', '4', '6', 0, 0, 'Magelang Utara', 'Potrobangsan', 0, 0, 0, 0, '9', '2020', 1),
(157, '44', '1', '2', 0, 0, 'Magelang Selatan', 'Jurangombo Selatan', 0, 0, 0, 0, '10', '2020', 1),
(158, '44', '2', '2', 0, 0, 'Magelang Selatan', 'Magersari', 0, 0, 0, 0, '10', '2020', 1),
(159, '44', '3', '2', 0, 0, 'Magelang Tengah', 'Rejowinangun Utara', 0, 0, 0, 0, '10', '2020', 1),
(160, '44', '4', '6', 0, 0, 'Magelang Utara', 'Potrobangsan', 0, 0, 0, 0, '10', '2020', 1),
(161, '45', '1', '2', 0, 0, 'Magelang Selatan', 'Jurangombo Selatan', 0, 0, 0, 0, '11', '2020', 1),
(162, '45', '2', '2', 0, 0, 'Magelang Selatan', 'Magersari', 0, 0, 0, 0, '11', '2020', 1),
(163, '45', '3', '2', 0, 0, 'Magelang Tengah', 'Rejowinangun Utara', 0, 0, 0, 0, '11', '2020', 1),
(164, '45', '4', '6', 0, 0, 'Magelang Utara', 'Potrobangsan', 0, 0, 0, 0, '11', '2020', 1),
(165, '46', '1', '2', 0, 0, 'Magelang Selatan', 'Jurangombo Selatan', 0, 0, 0, 0, '12', '2020', 1),
(166, '46', '2', '2', 0, 0, 'Magelang Selatan', 'Magersari', 0, 0, 0, 0, '12', '2020', 1),
(167, '46', '3', '2', 0, 0, 'Magelang Tengah', 'Rejowinangun Utara', 0, 0, 0, 0, '12', '2020', 1),
(168, '46', '4', '6', 0, 0, 'Magelang Utara', 'Potrobangsan', 0, 0, 0, 0, '12', '2020', 1),
(301, '74', '1', '2', 1, 1, 'Magelang Utara', 'Kramat Utara', 100000000, 0, 20, 8, '1', '2021', 3),
(302, '74', '2', '2', 2, 1, 'Magelang Selatan', 'Tidar Selatan', 30000000, 0, 30, 12, '1', '2021', 3),
(303, '74', '3', '2', 2, 1, 'Magelang Selatan', 'Rejowinangun Selatan', 5000000, 0, 5, 8, '1', '2021', 3),
(304, '74', '4', '6', 3, 1, 'Magelang Tengah', 'Cacaban', 10000000, 0, 3, 6, '1', '2021', 3),
(305, '74', '14', '16', 3, 1, 'Magelang Selatan', 'Rejowinangun Selatan', 10000000, 54000000, 1, 0, '1', '2021', 1),
(306, '75', '1', '2', 1, 1, 'Magelang Utara', 'Kramat Utara', 100000000, 0, 20, 8, '2', '2021', 3),
(307, '75', '2', '2', 2, 1, 'Magelang Selatan', 'Tidar Selatan', 30000000, 0, 30, 12, '2', '2021', 3),
(308, '75', '3', '2', 2, 1, 'Magelang Selatan', 'Rejowinangun Selatan', 5000000, 0, 5, 8, '2', '2021', 3),
(309, '75', '4', '6', 3, 1, 'Magelang Tengah', 'Cacaban', 10000000, 0, 3, 6, '2', '2021', 3),
(310, '75', '14', '16', 3, 1, 'Magelang Selatan', 'Rejowinangun Selatan', 10000000, 102000000, 1, 2, '2', '2021', 1),
(311, '76', '1', '2', 1, 1, 'Magelang Utara', 'Kramat Utara', 100000000, 0, 20, 8, '3', '2021', 3),
(312, '76', '2', '2', 2, 1, 'Magelang Selatan', 'Tidar Selatan', 30000000, 0, 30, 12, '3', '2021', 3),
(313, '76', '3', '2', 2, 1, 'Magelang Selatan', 'Rejowinangun Selatan', 5000000, 0, 5, 8, '3', '2021', 3),
(314, '76', '4', '6', 3, 1, 'Magelang Tengah', 'Cacaban', 10000000, 0, 3, 6, '3', '2021', 3),
(315, '76', '14', '16', 3, 1, 'Magelang Selatan', 'Rejowinangun Selatan', 10000000, 0, 1, 2, '3', '2021', 3),
(316, '77', '1', '2', 1, 1, 'Magelang Utara', 'Kramat Utara', 100000000, 0, 20, 8, '4', '2021', 3),
(317, '77', '2', '2', 2, 1, 'Magelang Selatan', 'Tidar Selatan', 30000000, 0, 30, 12, '4', '2021', 3),
(318, '77', '3', '2', 2, 1, 'Magelang Selatan', 'Rejowinangun Selatan', 5000000, 0, 5, 8, '4', '2021', 3),
(319, '77', '4', '6', 3, 1, 'Magelang Tengah', 'Cacaban', 10000000, 0, 3, 6, '4', '2021', 3),
(320, '77', '14', '16', 3, 1, 'Magelang Selatan', 'Rejowinangun Selatan', 10000000, 0, 1, 2, '4', '2021', 3),
(321, '78', '1', '2', 1, 1, 'Magelang Utara', 'Kramat Utara', 100000000, 0, 20, 8, '5', '2021', 3),
(322, '78', '2', '2', 2, 1, 'Magelang Selatan', 'Tidar Selatan', 30000000, 0, 30, 12, '5', '2021', 3),
(323, '78', '3', '2', 2, 1, 'Magelang Selatan', 'Rejowinangun Selatan', 5000000, 0, 5, 8, '5', '2021', 3),
(324, '78', '4', '6', 3, 1, 'Magelang Tengah', 'Cacaban', 10000000, 0, 3, 6, '5', '2021', 3),
(325, '78', '14', '16', 3, 1, 'Magelang Selatan', 'Rejowinangun Selatan', 10000000, 0, 1, 2, '5', '2021', 3),
(326, '79', '1', '2', 1, 1, 'Magelang Utara', 'Kramat Utara', 100000000, 0, 20, 8, '6', '2021', 3),
(327, '79', '2', '2', 2, 1, 'Magelang Selatan', 'Tidar Selatan', 30000000, 0, 30, 12, '6', '2021', 3),
(328, '79', '3', '2', 2, 1, 'Magelang Selatan', 'Rejowinangun Selatan', 5000000, 0, 5, 8, '6', '2021', 3),
(329, '79', '4', '6', 3, 1, 'Magelang Tengah', 'Cacaban', 10000000, 0, 3, 6, '6', '2021', 3),
(330, '79', '14', '16', 3, 1, 'Magelang Selatan', 'Rejowinangun Selatan', 10000000, 0, 1, 2, '6', '2021', 3),
(331, '80', '1', '2', 1, 1, 'Magelang Utara', 'Kramat Utara', 100000000, 0, 20, 8, '7', '2021', 3),
(332, '80', '2', '2', 2, 1, 'Magelang Selatan', 'Tidar Selatan', 30000000, 0, 30, 12, '7', '2021', 3),
(333, '80', '3', '2', 2, 1, 'Magelang Selatan', 'Rejowinangun Selatan', 5000000, 0, 5, 8, '7', '2021', 3),
(334, '80', '4', '6', 3, 1, 'Magelang Tengah', 'Cacaban', 10000000, 0, 3, 6, '7', '2021', 3),
(335, '80', '14', '16', 3, 1, 'Magelang Selatan', 'Rejowinangun Selatan', 10000000, 0, 1, 2, '7', '2021', 3),
(336, '81', '1', '2', 1, 1, 'Magelang Utara', 'Kramat Utara', 100000000, 0, 20, 8, '8', '2021', 3),
(337, '81', '2', '2', 2, 1, 'Magelang Selatan', 'Tidar Selatan', 30000000, 0, 30, 12, '8', '2021', 3),
(338, '81', '3', '2', 2, 1, 'Magelang Selatan', 'Rejowinangun Selatan', 5000000, 0, 5, 8, '8', '2021', 3),
(339, '81', '4', '6', 3, 1, 'Magelang Tengah', 'Cacaban', 10000000, 0, 3, 6, '8', '2021', 3),
(340, '81', '14', '16', 3, 1, 'Magelang Selatan', 'Rejowinangun Selatan', 10000000, 0, 1, 2, '8', '2021', 3),
(341, '82', '1', '2', 1, 1, 'Magelang Utara', 'Kramat Utara', 100000000, 0, 20, 8, '9', '2021', 3),
(342, '82', '2', '2', 2, 1, 'Magelang Selatan', 'Tidar Selatan', 30000000, 0, 30, 12, '9', '2021', 3),
(343, '82', '3', '2', 2, 1, 'Magelang Selatan', 'Rejowinangun Selatan', 5000000, 0, 5, 8, '9', '2021', 3),
(344, '82', '4', '6', 3, 1, 'Magelang Tengah', 'Cacaban', 10000000, 0, 3, 6, '9', '2021', 3),
(345, '82', '14', '16', 3, 1, 'Magelang Selatan', 'Rejowinangun Selatan', 10000000, 0, 1, 2, '9', '2021', 3),
(346, '83', '1', '2', 1, 1, 'Magelang Utara', 'Kramat Utara', 100000000, 0, 20, 8, '10', '2021', 3),
(347, '83', '2', '2', 2, 1, 'Magelang Selatan', 'Tidar Selatan', 30000000, 0, 30, 12, '10', '2021', 3),
(348, '83', '3', '2', 2, 1, 'Magelang Selatan', 'Rejowinangun Selatan', 5000000, 0, 5, 8, '10', '2021', 3),
(349, '83', '4', '6', 3, 1, 'Magelang Tengah', 'Cacaban', 10000000, 0, 3, 6, '10', '2021', 3),
(350, '83', '14', '16', 3, 1, 'Magelang Selatan', 'Rejowinangun Selatan', 10000000, 0, 1, 2, '10', '2021', 3),
(351, '84', '1', '2', 1, 1, 'Magelang Utara', 'Kramat Utara', 100000000, 0, 20, 8, '11', '2021', 3),
(352, '84', '2', '2', 2, 1, 'Magelang Selatan', 'Tidar Selatan', 30000000, 0, 30, 12, '11', '2021', 3),
(353, '84', '3', '2', 2, 1, 'Magelang Selatan', 'Rejowinangun Selatan', 5000000, 0, 5, 8, '11', '2021', 3),
(354, '84', '4', '6', 3, 1, 'Magelang Tengah', 'Cacaban', 10000000, 0, 3, 6, '11', '2021', 3),
(355, '84', '14', '16', 3, 1, 'Magelang Selatan', 'Rejowinangun Selatan', 10000000, 0, 1, 2, '11', '2021', 3),
(356, '85', '1', '2', 1, 1, 'Magelang Utara', 'Kramat Utara', 100000000, 0, 20, 8, '12', '2021', 3),
(357, '85', '2', '2', 2, 1, 'Magelang Selatan', 'Tidar Selatan', 30000000, 0, 30, 12, '12', '2021', 3),
(358, '85', '3', '2', 2, 1, 'Magelang Selatan', 'Rejowinangun Selatan', 5000000, 0, 5, 8, '12', '2021', 3),
(359, '85', '4', '6', 3, 1, 'Magelang Tengah', 'Cacaban', 10000000, 0, 3, 6, '12', '2021', 3),
(360, '85', '14', '16', 3, 1, 'Magelang Selatan', 'Rejowinangun Selatan', 10000000, 0, 1, 2, '12', '2021', 3);

-- --------------------------------------------------------

--
-- Table structure for table `tb_jenis`
--

CREATE TABLE `tb_jenis` (
  `id_jenis` int(11) NOT NULL,
  `jenis` varchar(30) NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4;

--
-- Dumping data for table `tb_jenis`
--

INSERT INTO `tb_jenis` (`id_jenis`, `jenis`) VALUES
(1, 'Perdaganan'),
(2, 'Jasa'),
(3, 'Industri');

-- --------------------------------------------------------

--
-- Table structure for table `tb_kategori`
--

CREATE TABLE `tb_kategori` (
  `id_kategori` int(11) NOT NULL,
  `kategori` varchar(30) NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4;

--
-- Dumping data for table `tb_kategori`
--

INSERT INTO `tb_kategori` (`id_kategori`, `kategori`) VALUES
(1, 'Mikro'),
(2, 'Kecil'),
(3, 'Menengah');

-- --------------------------------------------------------

--
-- Table structure for table `tb_kelurahan`
--

CREATE TABLE `tb_kelurahan` (
  `id_kelurahan` bigint(20) NOT NULL,
  `kelurahan` varchar(50) NOT NULL,
  `kecamatan` enum('Magelang Selatan','Magelang Tengah','Magelang Utara') NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4;

--
-- Dumping data for table `tb_kelurahan`
--

INSERT INTO `tb_kelurahan` (`id_kelurahan`, `kelurahan`, `kecamatan`) VALUES
(1, 'Jurangombo Selatan', 'Magelang Selatan'),
(2, 'Jurangombo Utara', 'Magelang Selatan'),
(3, 'Magersari', 'Magelang Selatan'),
(4, 'Rejowinangun Selatan', 'Magelang Selatan'),
(5, 'Tidar Selatan', 'Magelang Selatan'),
(6, 'Tidar Utara', 'Magelang Selatan'),
(17, 'Cacaban', 'Magelang Tengah'),
(18, 'Gelangan', 'Magelang Tengah'),
(19, 'Kemirirejo', 'Magelang Tengah'),
(20, 'Magelang', 'Magelang Tengah'),
(21, 'Panjang', 'Magelang Tengah'),
(22, 'Rejowinangun Utara', 'Magelang Tengah'),
(23, 'Kedungsari', 'Magelang Utara'),
(24, 'Kramat Selatan', 'Magelang Utara'),
(25, 'Kramat Utara', 'Magelang Utara'),
(26, 'Potrobangsan', 'Magelang Utara'),
(27, 'Wates', 'Magelang Utara');

-- --------------------------------------------------------

--
-- Table structure for table `tb_laporan`
--

CREATE TABLE `tb_laporan` (
  `id_laporan` int(11) NOT NULL,
  `tahun` int(11) NOT NULL,
  `bulan` bigint(20) NOT NULL,
  `kelurahan` varchar(50) NOT NULL,
  `kecamatan` varchar(50) NOT NULL,
  `aset` bigint(20) NOT NULL,
  `omset` bigint(20) NOT NULL,
  `jumlah_umkm` bigint(20) NOT NULL,
  `karyawan_jenis1` bigint(20) NOT NULL,
  `karyawan_jenis2` bigint(20) NOT NULL,
  `karyawan_jenis3` bigint(20) NOT NULL,
  `omset_jenis1` bigint(20) NOT NULL,
  `omset_jenis2` bigint(20) NOT NULL,
  `omset_jenis3` bigint(20) NOT NULL,
  `aset_jenis1` bigint(20) NOT NULL,
  `aset_jenis2` bigint(20) NOT NULL,
  `aset_jenis3` bigint(20) NOT NULL,
  `karyawan_jen1_l` int(11) NOT NULL,
  `karyawan_jen1_p` int(11) NOT NULL,
  `karyawan_jen2_l` int(11) NOT NULL,
  `karyawan_jen2_p` int(11) NOT NULL,
  `karyawan_jen3_l` int(11) NOT NULL,
  `karyawan_jen3_p` int(11) NOT NULL,
  `umkm_jen1_kat1` bigint(20) NOT NULL,
  `umkm_jen1_kat2` bigint(20) NOT NULL,
  `umkm_jen1_kat3` bigint(20) NOT NULL,
  `umkm_jen2_kat1` bigint(20) NOT NULL,
  `umkm_jen2_kat2` bigint(20) NOT NULL,
  `umkm_jen2_kat3` bigint(20) NOT NULL,
  `umkm_jen3_kat1` bigint(20) NOT NULL,
  `umkm_jen3_kat2` bigint(20) NOT NULL,
  `umkm_jen3_kat3` bigint(20) NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4;

--
-- Dumping data for table `tb_laporan`
--

INSERT INTO `tb_laporan` (`id_laporan`, `tahun`, `bulan`, `kelurahan`, `kecamatan`, `aset`, `omset`, `jumlah_umkm`, `karyawan_jenis1`, `karyawan_jenis2`, `karyawan_jenis3`, `omset_jenis1`, `omset_jenis2`, `omset_jenis3`, `aset_jenis1`, `aset_jenis2`, `aset_jenis3`, `karyawan_jen1_l`, `karyawan_jen1_p`, `karyawan_jen2_l`, `karyawan_jen2_p`, `karyawan_jen3_l`, `karyawan_jen3_p`, `umkm_jen1_kat1`, `umkm_jen1_kat2`, `umkm_jen1_kat3`, `umkm_jen2_kat1`, `umkm_jen2_kat2`, `umkm_jen2_kat3`, `umkm_jen3_kat1`, `umkm_jen3_kat2`, `umkm_jen3_kat3`) VALUES
(61, 2020, 1, 'Jurangombo Selatan', 'Magelang Selatan', 0, 0, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0),
(62, 2020, 2, 'Jurangombo Selatan', 'Magelang Selatan', 0, 0, 2, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0),
(63, 2020, 3, 'Jurangombo Selatan', 'Magelang Selatan', 0, 0, 3, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0),
(64, 2020, 4, 'Jurangombo Selatan', 'Magelang Selatan', 0, 0, 4, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0),
(65, 2020, 5, 'Jurangombo Selatan', 'Magelang Selatan', 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0),
(66, 2020, 6, 'Jurangombo Selatan', 'Magelang Selatan', 0, 0, 6, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0),
(67, 2020, 7, 'Jurangombo Selatan', 'Magelang Selatan', 0, 0, 7, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0),
(68, 2020, 8, 'Jurangombo Selatan', 'Magelang Selatan', 0, 0, 8, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0),
(69, 2020, 9, 'Jurangombo Selatan', 'Magelang Selatan', 0, 0, 9, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0),
(70, 2020, 10, 'Jurangombo Selatan', 'Magelang Selatan', 0, 0, 10, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0),
(71, 2020, 11, 'Jurangombo Selatan', 'Magelang Selatan', 0, 0, 11, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0),
(72, 2020, 12, 'Jurangombo Selatan', 'Magelang Selatan', 0, 0, 12, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0),
(73, 2020, 1, 'Magersari', 'Magelang Selatan', 0, 0, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0),
(74, 2020, 2, 'Magersari', 'Magelang Selatan', 0, 0, 2, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0),
(75, 2020, 3, 'Magersari', 'Magelang Selatan', 0, 0, 3, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0),
(76, 2020, 4, 'Magersari', 'Magelang Selatan', 0, 0, 4, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0),
(77, 2020, 5, 'Magersari', 'Magelang Selatan', 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0),
(78, 2020, 6, 'Magersari', 'Magelang Selatan', 0, 0, 6, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0),
(79, 2020, 7, 'Magersari', 'Magelang Selatan', 0, 0, 7, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0),
(80, 2020, 8, 'Magersari', 'Magelang Selatan', 0, 0, 8, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0),
(81, 2020, 9, 'Magersari', 'Magelang Selatan', 0, 0, 9, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0),
(82, 2020, 10, 'Magersari', 'Magelang Selatan', 0, 0, 10, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0),
(83, 2020, 11, 'Magersari', 'Magelang Selatan', 0, 0, 11, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0),
(84, 2020, 12, 'Magersari', 'Magelang Selatan', 0, 0, 12, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0),
(85, 2020, 1, 'Potrobangsan', 'Magelang Utara', 0, 0, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0),
(86, 2020, 2, 'Potrobangsan', 'Magelang Utara', 0, 0, 2, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0),
(87, 2020, 3, 'Potrobangsan', 'Magelang Utara', 0, 0, 3, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0),
(88, 2020, 4, 'Potrobangsan', 'Magelang Utara', 0, 0, 4, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0),
(89, 2020, 5, 'Potrobangsan', 'Magelang Utara', 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0),
(90, 2020, 6, 'Potrobangsan', 'Magelang Utara', 0, 0, 6, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0),
(91, 2020, 7, 'Potrobangsan', 'Magelang Utara', 0, 0, 7, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0),
(92, 2020, 8, 'Potrobangsan', 'Magelang Utara', 0, 0, 8, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0),
(93, 2020, 9, 'Potrobangsan', 'Magelang Utara', 0, 0, 9, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0),
(94, 2020, 10, 'Potrobangsan', 'Magelang Utara', 0, 0, 10, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0),
(95, 2020, 11, 'Potrobangsan', 'Magelang Utara', 0, 0, 11, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0),
(96, 2020, 12, 'Potrobangsan', 'Magelang Utara', 0, 0, 12, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0),
(97, 2020, 1, 'Rejowinangun Utara', 'Magelang Tengah', 0, 0, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0),
(98, 2020, 2, 'Rejowinangun Utara', 'Magelang Tengah', 0, 0, 2, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0),
(99, 2020, 3, 'Rejowinangun Utara', 'Magelang Tengah', 0, 0, 3, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0),
(100, 2020, 4, 'Rejowinangun Utara', 'Magelang Tengah', 0, 0, 4, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0),
(101, 2020, 5, 'Rejowinangun Utara', 'Magelang Tengah', 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0),
(102, 2020, 6, 'Rejowinangun Utara', 'Magelang Tengah', 0, 0, 6, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0),
(103, 2020, 7, 'Rejowinangun Utara', 'Magelang Tengah', 0, 0, 7, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0),
(104, 2020, 8, 'Rejowinangun Utara', 'Magelang Tengah', 0, 0, 8, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0),
(105, 2020, 9, 'Rejowinangun Utara', 'Magelang Tengah', 0, 0, 9, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0),
(106, 2020, 10, 'Rejowinangun Utara', 'Magelang Tengah', 0, 0, 10, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0),
(107, 2020, 11, 'Rejowinangun Utara', 'Magelang Tengah', 0, 0, 11, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0),
(108, 2020, 12, 'Rejowinangun Utara', 'Magelang Tengah', 0, 0, 12, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0),
(701, 2021, 1, 'Cacaban', 'Magelang Tengah', 10000000, 0, 1, 0, 0, 9, 0, 0, 0, 0, 0, 10000000, 0, 0, 0, 0, 3, 6, 0, 0, 0, 0, 0, 0, 1, 0, 0),
(702, 2021, 2, 'Cacaban', 'Magelang Tengah', 10000000, 0, 1, 0, 0, 9, 0, 0, 0, 0, 0, 10000000, 0, 0, 0, 0, 3, 6, 0, 0, 0, 0, 0, 0, 1, 0, 0),
(703, 2021, 3, 'Cacaban', 'Magelang Tengah', 10000000, 0, 1, 0, 0, 9, 0, 0, 0, 0, 0, 10000000, 0, 0, 0, 0, 3, 6, 0, 0, 0, 0, 0, 0, 1, 0, 0),
(704, 2021, 4, 'Cacaban', 'Magelang Tengah', 10000000, 0, 1, 0, 0, 9, 0, 0, 0, 0, 0, 10000000, 0, 0, 0, 0, 3, 6, 0, 0, 0, 0, 0, 0, 1, 0, 0),
(705, 2021, 5, 'Cacaban', 'Magelang Tengah', 10000000, 0, 1, 0, 0, 9, 0, 0, 0, 0, 0, 10000000, 0, 0, 0, 0, 3, 6, 0, 0, 0, 0, 0, 0, 1, 0, 0),
(706, 2021, 6, 'Cacaban', 'Magelang Tengah', 10000000, 0, 1, 0, 0, 9, 0, 0, 0, 0, 0, 10000000, 0, 0, 0, 0, 3, 6, 0, 0, 0, 0, 0, 0, 1, 0, 0),
(707, 2021, 7, 'Cacaban', 'Magelang Tengah', 10000000, 0, 1, 0, 0, 9, 0, 0, 0, 0, 0, 10000000, 0, 0, 0, 0, 3, 6, 0, 0, 0, 0, 0, 0, 1, 0, 0),
(708, 2021, 8, 'Cacaban', 'Magelang Tengah', 10000000, 0, 1, 0, 0, 9, 0, 0, 0, 0, 0, 10000000, 0, 0, 0, 0, 3, 6, 0, 0, 0, 0, 0, 0, 1, 0, 0),
(709, 2021, 9, 'Cacaban', 'Magelang Tengah', 10000000, 0, 1, 0, 0, 9, 0, 0, 0, 0, 0, 10000000, 0, 0, 0, 0, 3, 6, 0, 0, 0, 0, 0, 0, 1, 0, 0),
(710, 2021, 10, 'Cacaban', 'Magelang Tengah', 10000000, 0, 1, 0, 0, 9, 0, 0, 0, 0, 0, 10000000, 0, 0, 0, 0, 3, 6, 0, 0, 0, 0, 0, 0, 1, 0, 0),
(711, 2021, 11, 'Cacaban', 'Magelang Tengah', 10000000, 0, 1, 0, 0, 9, 0, 0, 0, 0, 0, 10000000, 0, 0, 0, 0, 3, 6, 0, 0, 0, 0, 0, 0, 1, 0, 0),
(712, 2021, 12, 'Cacaban', 'Magelang Tengah', 10000000, 0, 1, 0, 0, 9, 0, 0, 0, 0, 0, 10000000, 0, 0, 0, 0, 3, 6, 0, 0, 0, 0, 0, 0, 1, 0, 0),
(713, 2021, 1, 'Kramat Utara', 'Magelang Utara', 100000000, 0, 1, 28, 0, 0, 0, 0, 0, 100000000, 0, 0, 20, 8, 0, 0, 0, 0, 1, 0, 0, 0, 0, 0, 0, 0, 0),
(714, 2021, 2, 'Kramat Utara', 'Magelang Utara', 100000000, 0, 1, 28, 0, 0, 0, 0, 0, 100000000, 0, 0, 20, 8, 0, 0, 0, 0, 1, 0, 0, 0, 0, 0, 0, 0, 0),
(715, 2021, 3, 'Kramat Utara', 'Magelang Utara', 100000000, 0, 1, 28, 0, 0, 0, 0, 0, 100000000, 0, 0, 20, 8, 0, 0, 0, 0, 1, 0, 0, 0, 0, 0, 0, 0, 0),
(716, 2021, 4, 'Kramat Utara', 'Magelang Utara', 100000000, 0, 1, 28, 0, 0, 0, 0, 0, 100000000, 0, 0, 20, 8, 0, 0, 0, 0, 1, 0, 0, 0, 0, 0, 0, 0, 0),
(717, 2021, 5, 'Kramat Utara', 'Magelang Utara', 100000000, 0, 1, 28, 0, 0, 0, 0, 0, 100000000, 0, 0, 20, 8, 0, 0, 0, 0, 1, 0, 0, 0, 0, 0, 0, 0, 0),
(718, 2021, 6, 'Kramat Utara', 'Magelang Utara', 100000000, 0, 1, 28, 0, 0, 0, 0, 0, 100000000, 0, 0, 20, 8, 0, 0, 0, 0, 1, 0, 0, 0, 0, 0, 0, 0, 0),
(719, 2021, 7, 'Kramat Utara', 'Magelang Utara', 100000000, 0, 1, 28, 0, 0, 0, 0, 0, 100000000, 0, 0, 20, 8, 0, 0, 0, 0, 1, 0, 0, 0, 0, 0, 0, 0, 0),
(720, 2021, 8, 'Kramat Utara', 'Magelang Utara', 100000000, 0, 1, 28, 0, 0, 0, 0, 0, 100000000, 0, 0, 20, 8, 0, 0, 0, 0, 1, 0, 0, 0, 0, 0, 0, 0, 0),
(721, 2021, 9, 'Kramat Utara', 'Magelang Utara', 100000000, 0, 1, 28, 0, 0, 0, 0, 0, 100000000, 0, 0, 20, 8, 0, 0, 0, 0, 1, 0, 0, 0, 0, 0, 0, 0, 0),
(722, 2021, 10, 'Kramat Utara', 'Magelang Utara', 100000000, 0, 1, 28, 0, 0, 0, 0, 0, 100000000, 0, 0, 20, 8, 0, 0, 0, 0, 1, 0, 0, 0, 0, 0, 0, 0, 0),
(723, 2021, 11, 'Kramat Utara', 'Magelang Utara', 100000000, 0, 1, 28, 0, 0, 0, 0, 0, 100000000, 0, 0, 20, 8, 0, 0, 0, 0, 1, 0, 0, 0, 0, 0, 0, 0, 0),
(724, 2021, 12, 'Kramat Utara', 'Magelang Utara', 100000000, 0, 1, 28, 0, 0, 0, 0, 0, 100000000, 0, 0, 20, 8, 0, 0, 0, 0, 1, 0, 0, 0, 0, 0, 0, 0, 0),
(725, 2021, 1, 'Rejowinangun Selatan', 'Magelang Selatan', 15000000, 54000000, 2, 0, 13, 1, 0, 0, 54000000, 0, 5000000, 10000000, 0, 0, 5, 8, 1, 0, 0, 0, 0, 1, 0, 0, 1, 0, 0),
(726, 2021, 2, 'Rejowinangun Selatan', 'Magelang Selatan', 15000000, 102000000, 2, 0, 13, 3, 0, 0, 102000000, 0, 5000000, 10000000, 0, 0, 5, 8, 1, 2, 0, 0, 0, 1, 0, 0, 1, 0, 0),
(727, 2021, 3, 'Rejowinangun Selatan', 'Magelang Selatan', 15000000, 0, 2, 0, 13, 3, 0, 0, 0, 0, 5000000, 10000000, 0, 0, 5, 8, 1, 2, 0, 0, 0, 1, 0, 0, 1, 0, 0),
(728, 2021, 4, 'Rejowinangun Selatan', 'Magelang Selatan', 15000000, 0, 2, 0, 13, 3, 0, 0, 0, 0, 5000000, 10000000, 0, 0, 5, 8, 1, 2, 0, 0, 0, 1, 0, 0, 1, 0, 0),
(729, 2021, 5, 'Rejowinangun Selatan', 'Magelang Selatan', 15000000, 0, 2, 0, 13, 3, 0, 0, 0, 0, 5000000, 10000000, 0, 0, 5, 8, 1, 2, 0, 0, 0, 1, 0, 0, 1, 0, 0),
(730, 2021, 6, 'Rejowinangun Selatan', 'Magelang Selatan', 15000000, 0, 2, 0, 13, 3, 0, 0, 0, 0, 5000000, 10000000, 0, 0, 5, 8, 1, 2, 0, 0, 0, 1, 0, 0, 1, 0, 0),
(731, 2021, 7, 'Rejowinangun Selatan', 'Magelang Selatan', 15000000, 0, 2, 0, 13, 3, 0, 0, 0, 0, 5000000, 10000000, 0, 0, 5, 8, 1, 2, 0, 0, 0, 1, 0, 0, 1, 0, 0),
(732, 2021, 8, 'Rejowinangun Selatan', 'Magelang Selatan', 15000000, 0, 2, 0, 13, 3, 0, 0, 0, 0, 5000000, 10000000, 0, 0, 5, 8, 1, 2, 0, 0, 0, 1, 0, 0, 1, 0, 0),
(733, 2021, 9, 'Rejowinangun Selatan', 'Magelang Selatan', 15000000, 0, 2, 0, 13, 3, 0, 0, 0, 0, 5000000, 10000000, 0, 0, 5, 8, 1, 2, 0, 0, 0, 1, 0, 0, 1, 0, 0),
(734, 2021, 10, 'Rejowinangun Selatan', 'Magelang Selatan', 15000000, 0, 2, 0, 13, 3, 0, 0, 0, 0, 5000000, 10000000, 0, 0, 5, 8, 1, 2, 0, 0, 0, 1, 0, 0, 1, 0, 0),
(735, 2021, 11, 'Rejowinangun Selatan', 'Magelang Selatan', 15000000, 0, 2, 0, 13, 3, 0, 0, 0, 0, 5000000, 10000000, 0, 0, 5, 8, 1, 2, 0, 0, 0, 1, 0, 0, 1, 0, 0),
(736, 2021, 12, 'Rejowinangun Selatan', 'Magelang Selatan', 15000000, 0, 2, 0, 13, 3, 0, 0, 0, 0, 5000000, 10000000, 0, 0, 5, 8, 1, 2, 0, 0, 0, 1, 0, 0, 1, 0, 0),
(737, 2021, 1, 'Tidar Selatan', 'Magelang Selatan', 30000000, 0, 1, 0, 42, 0, 0, 0, 0, 0, 30000000, 0, 0, 0, 30, 12, 0, 0, 0, 0, 0, 1, 0, 0, 0, 0, 0),
(738, 2021, 2, 'Tidar Selatan', 'Magelang Selatan', 30000000, 0, 1, 0, 42, 0, 0, 0, 0, 0, 30000000, 0, 0, 0, 30, 12, 0, 0, 0, 0, 0, 1, 0, 0, 0, 0, 0),
(739, 2021, 3, 'Tidar Selatan', 'Magelang Selatan', 30000000, 0, 1, 0, 42, 0, 0, 0, 0, 0, 30000000, 0, 0, 0, 30, 12, 0, 0, 0, 0, 0, 1, 0, 0, 0, 0, 0),
(740, 2021, 4, 'Tidar Selatan', 'Magelang Selatan', 30000000, 0, 1, 0, 42, 0, 0, 0, 0, 0, 30000000, 0, 0, 0, 30, 12, 0, 0, 0, 0, 0, 1, 0, 0, 0, 0, 0),
(741, 2021, 5, 'Tidar Selatan', 'Magelang Selatan', 30000000, 0, 1, 0, 42, 0, 0, 0, 0, 0, 30000000, 0, 0, 0, 30, 12, 0, 0, 0, 0, 0, 1, 0, 0, 0, 0, 0),
(742, 2021, 6, 'Tidar Selatan', 'Magelang Selatan', 30000000, 0, 1, 0, 42, 0, 0, 0, 0, 0, 30000000, 0, 0, 0, 30, 12, 0, 0, 0, 0, 0, 1, 0, 0, 0, 0, 0),
(743, 2021, 7, 'Tidar Selatan', 'Magelang Selatan', 30000000, 0, 1, 0, 42, 0, 0, 0, 0, 0, 30000000, 0, 0, 0, 30, 12, 0, 0, 0, 0, 0, 1, 0, 0, 0, 0, 0),
(744, 2021, 8, 'Tidar Selatan', 'Magelang Selatan', 30000000, 0, 1, 0, 42, 0, 0, 0, 0, 0, 30000000, 0, 0, 0, 30, 12, 0, 0, 0, 0, 0, 1, 0, 0, 0, 0, 0),
(745, 2021, 9, 'Tidar Selatan', 'Magelang Selatan', 30000000, 0, 1, 0, 42, 0, 0, 0, 0, 0, 30000000, 0, 0, 0, 30, 12, 0, 0, 0, 0, 0, 1, 0, 0, 0, 0, 0),
(746, 2021, 10, 'Tidar Selatan', 'Magelang Selatan', 30000000, 0, 1, 0, 42, 0, 0, 0, 0, 0, 30000000, 0, 0, 0, 30, 12, 0, 0, 0, 0, 0, 1, 0, 0, 0, 0, 0),
(747, 2021, 11, 'Tidar Selatan', 'Magelang Selatan', 30000000, 0, 1, 0, 42, 0, 0, 0, 0, 0, 30000000, 0, 0, 0, 30, 12, 0, 0, 0, 0, 0, 1, 0, 0, 0, 0, 0),
(748, 2021, 12, 'Tidar Selatan', 'Magelang Selatan', 30000000, 0, 1, 0, 42, 0, 0, 0, 0, 0, 30000000, 0, 0, 0, 30, 12, 0, 0, 0, 0, 0, 1, 0, 0, 0, 0, 0);

-- --------------------------------------------------------

--
-- Table structure for table `tb_produk`
--

CREATE TABLE `tb_produk` (
  `id_produk` bigint(20) NOT NULL,
  `foto_produk` text NOT NULL,
  `id_umkm` bigint(20) NOT NULL,
  `produk` varchar(50) NOT NULL,
  `deskripsi` text NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4;

--
-- Dumping data for table `tb_produk`
--

INSERT INTO `tb_produk` (`id_produk`, `foto_produk`, `id_umkm`, `produk`, `deskripsi`) VALUES
(11, '11.png', 14, 'Aplikasi Dashboard UMKM', 'Aplikasi untuk pendataan UMKM');

-- --------------------------------------------------------

--
-- Table structure for table `tb_umkm`
--

CREATE TABLE `tb_umkm` (
  `id_umkm` bigint(20) NOT NULL,
  `id_pemilik` varchar(50) NOT NULL,
  `nama` varchar(100) NOT NULL,
  `id_kategori` int(11) NOT NULL,
  `kecamatan` enum('Magelang Selatan','Magelang Tengah','Magelang Utara') NOT NULL,
  `kelurahan` varchar(50) NOT NULL,
  `alamat` text NOT NULL,
  `telp` varchar(30) NOT NULL,
  `id_jenis` int(11) NOT NULL,
  `omset_awal` bigint(20) NOT NULL,
  `aset_awal` bigint(20) NOT NULL,
  `karyawan_l` bigint(20) NOT NULL,
  `karyawan_p` bigint(20) NOT NULL,
  `deskripsi` text NOT NULL,
  `foto_umkm` text NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4;

--
-- Dumping data for table `tb_umkm`
--

INSERT INTO `tb_umkm` (`id_umkm`, `id_pemilik`, `nama`, `id_kategori`, `kecamatan`, `kelurahan`, `alamat`, `telp`, `id_jenis`, `omset_awal`, `aset_awal`, `karyawan_l`, `karyawan_p`, `deskripsi`, `foto_umkm`) VALUES
(1, '2', 'Meubel Rotan', 1, 'Magelang Utara', 'Kramat Utara', 'Jl. Jeruk Purut, Kupatan, Kramat Utara, Magelang', '08121212121', 1, 0, 100000000, 20, 8, 'Sedia berbagai furnitur dan Meubel', '1.jpg'),
(2, '2', 'Percetakan Jaya Muya', 1, 'Magelang Selatan', 'Tidar Selatan', 'Kiringan III, Tidar Selatan, Kota Magelang', '0811111111', 2, 0, 30000000, 30, 12, 'Jasa Reklame, Baliho, Banner dan Printing Sepanduk', 'umkm.png'),
(3, '2', 'Frozen Food Magelang', 1, 'Magelang Selatan', 'Rejowinangun Selatan', 'Tanon, Jl. Singosari, Rejowinangun Selatan, Magelang', '08121212121', 2, 0, 5000000, 5, 8, 'Reseller Produk makanan beku : Sosis, Daging, Tempura, Nuget, dll', 'umkm.png'),
(4, '6', 'Putih Abu  Workshop', 1, 'Magelang Tengah', 'Cacaban', 'Cacaban Tengah', '+6233333923', 3, 0, 10000000, 3, 6, 'Souvenir Nikah Karakter', 'umkm.png'),
(14, '16', 'Mage Soft', 1, 'Magelang Selatan', 'Rejowinangun Selatan', 'Rejowinangun Selatan, Magelang Selatan', '081228868280', 3, 156000000, 10000000, 1, 0, 'Software Developer', 'umkm.png');

-- --------------------------------------------------------

--
-- Table structure for table `tb_user`
--

CREATE TABLE `tb_user` (
  `id_user` bigint(20) NOT NULL,
  `nama` varchar(30) NOT NULL,
  `username` varchar(20) NOT NULL,
  `password` text NOT NULL,
  `alamat_user` text NOT NULL,
  `kecamatan_user` enum('Magelang Selatan','Magelang Tengah','Magelang Utara','Luar Kota Magelang') NOT NULL,
  `kelurahan_user` varchar(50) NOT NULL,
  `kota_user` enum('Kota Magelang','Luar Kota Magelang') NOT NULL,
  `telp_user` varchar(30) NOT NULL,
  `npwp` varchar(60) NOT NULL,
  `foto_user` text NOT NULL,
  `level` enum('admin','pemilik') NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4;

--
-- Dumping data for table `tb_user`
--

INSERT INTO `tb_user` (`id_user`, `nama`, `username`, `password`, `alamat_user`, `kecamatan_user`, `kelurahan_user`, `kota_user`, `telp_user`, `npwp`, `foto_user`, `level`) VALUES
(1, 'Admin', 'admin', '643ed2bde5b2f6bd70f7f32a9b0f4ebb', 'Kota Magelang', 'Magelang Selatan', '', 'Kota Magelang', '', '', 'user.png', 'admin'),
(2, 'Yoga Ismail Pratama', 'yogaismail', '643ed2bde5b2f6bd70f7f32a9b0f4ebb', 'Magelang', 'Magelang Selatan', 'Tidar Selatan', 'Kota Magelang', '0812222999383', '6343266', 'user.png', 'pemilik'),
(6, 'Prawira Setia ', 'prawira', '643ed2bde5b2f6bd70f7f32a9b0f4ebb', 'Jambe Wangi', 'Magelang Selatan', 'Kramat Utara', 'Kota Magelang', '082689625495', '', 'user.png', 'pemilik'),
(16, 'Hafidz Fachrisyah', 'hafidzfachrisyah', '643ed2bde5b2f6bd70f7f32a9b0f4ebb', 'Rejowinangun Selatan, Magelang Selatan, Magelang', 'Magelang Selatan', 'Rejowinangun Utara', 'Kota Magelang', '081228868280', '-', 'user.png', 'pemilik');

--
-- Indexes for dumped tables
--

--
-- Indexes for table `tb_absen`
--
ALTER TABLE `tb_absen`
  ADD PRIMARY KEY (`id_absen`);

--
-- Indexes for table `tb_absensi`
--
ALTER TABLE `tb_absensi`
  ADD PRIMARY KEY (`id_absensi`),
  ADD KEY `id_absen` (`id_absen`),
  ADD KEY `id_umkm` (`id_umkm`),
  ADD KEY `aset` (`aset`),
  ADD KEY `id_pemilik` (`id_pemilik`),
  ADD KEY `id_jenis` (`id_jenis`),
  ADD KEY `id_kategori` (`id_kategori`),
  ADD KEY `kelurahan` (`kelurahan`),
  ADD KEY `kecamatan` (`kecamatan`);

--
-- Indexes for table `tb_jenis`
--
ALTER TABLE `tb_jenis`
  ADD PRIMARY KEY (`id_jenis`);

--
-- Indexes for table `tb_kategori`
--
ALTER TABLE `tb_kategori`
  ADD PRIMARY KEY (`id_kategori`);

--
-- Indexes for table `tb_kelurahan`
--
ALTER TABLE `tb_kelurahan`
  ADD PRIMARY KEY (`id_kelurahan`),
  ADD KEY `kecamatan` (`kecamatan`);

--
-- Indexes for table `tb_laporan`
--
ALTER TABLE `tb_laporan`
  ADD PRIMARY KEY (`id_laporan`),
  ADD KEY `tahun` (`tahun`);

--
-- Indexes for table `tb_produk`
--
ALTER TABLE `tb_produk`
  ADD PRIMARY KEY (`id_produk`),
  ADD KEY `id_umkm` (`id_umkm`),
  ADD KEY `produk` (`produk`);

--
-- Indexes for table `tb_umkm`
--
ALTER TABLE `tb_umkm`
  ADD PRIMARY KEY (`id_umkm`),
  ADD KEY `id_pemilik` (`id_pemilik`),
  ADD KEY `id_kategori` (`id_kategori`),
  ADD KEY `id_jenis` (`id_jenis`);

--
-- Indexes for table `tb_user`
--
ALTER TABLE `tb_user`
  ADD PRIMARY KEY (`id_user`),
  ADD UNIQUE KEY `username` (`username`);

--
-- AUTO_INCREMENT for dumped tables
--

--
-- AUTO_INCREMENT for table `tb_absen`
--
ALTER TABLE `tb_absen`
  MODIFY `id_absen` bigint(20) NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=86;

--
-- AUTO_INCREMENT for table `tb_absensi`
--
ALTER TABLE `tb_absensi`
  MODIFY `id_absensi` bigint(20) NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=361;

--
-- AUTO_INCREMENT for table `tb_jenis`
--
ALTER TABLE `tb_jenis`
  MODIFY `id_jenis` int(11) NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=4;

--
-- AUTO_INCREMENT for table `tb_kategori`
--
ALTER TABLE `tb_kategori`
  MODIFY `id_kategori` int(11) NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=4;

--
-- AUTO_INCREMENT for table `tb_kelurahan`
--
ALTER TABLE `tb_kelurahan`
  MODIFY `id_kelurahan` bigint(20) NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=28;

--
-- AUTO_INCREMENT for table `tb_laporan`
--
ALTER TABLE `tb_laporan`
  MODIFY `id_laporan` int(11) NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=749;

--
-- AUTO_INCREMENT for table `tb_produk`
--
ALTER TABLE `tb_produk`
  MODIFY `id_produk` bigint(20) NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=12;

--
-- AUTO_INCREMENT for table `tb_umkm`
--
ALTER TABLE `tb_umkm`
  MODIFY `id_umkm` bigint(20) NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=15;

--
-- AUTO_INCREMENT for table `tb_user`
--
ALTER TABLE `tb_user`
  MODIFY `id_user` bigint(20) NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=17;
COMMIT;

/*!40101 SET CHARACTER_SET_CLIENT=@OLD_CHARACTER_SET_CLIENT */;
/*!40101 SET CHARACTER_SET_RESULTS=@OLD_CHARACTER_SET_RESULTS */;
/*!40101 SET COLLATION_CONNECTION=@OLD_COLLATION_CONNECTION */;
