<!doctype html>
<html lang="en">
  <head>
    <!-- Required meta tags -->
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">

    <!-- Bootstrap CSS -->
    <link rel="stylesheet" href="<?php echo base_url()?>assets/css/bootstrap.min.css" integrity="sha384-Gn5384xqQ1aoWXA+058RXPxPg6fy4IWvTNh0E263XmFcJlSAwiGgFAW/dAiS6JXm" crossorigin="anonymous">
    <link rel="stylesheet" href="<?php echo base_url()?>assets/css/dataTables.bootstrap4.min.css">
    <link data-require="sweet-alert@*" data-semver="0.4.2" rel="stylesheet" href="<?php echo base_url()?>assets/css/sweetalert.min.css" />

    <link rel="icon" type="image/png" href="../../assets/images/favicon.png" />

    <title>Aplikasi UMKM</title>
  </head>
  <body>

        <nav class="navbar navbar-expand-lg navbar-dark bg-primary">    
            <div class="container">
                <a class="navbar-brand" href="#">
                    <img src="../../assets/images/logo-white.png" width="100" alt="">
                </a>
                    <button class="navbar-toggler" type="button" data-toggle="collapse" data-target="#navbarSupportedContent" aria-controls="navbarSupportedContent" aria-expanded="false" aria-label="Toggle navigation">
                        <span class="navbar-toggler-icon"></span>
                    </button>

                    <div class="collapse navbar-collapse" id="navbarSupportedContent">
                        <ul class="navbar-nav mr-auto">
                        
                        </ul>
                        <form methode="POST" action="../login/logout" class="form-inline my-2 my-lg-0" >
                        <button class="btn btn-outline-warning btn-sm my-2 my-sm-0" type="submit">Logout</button>
                        </form>
                    </div>
             </div>
        </nav>

    <div class="container">
       <div class="row">
           <div class="col-md-3" style="cursor:pointer;">
                <div class="card">
                <div class="card-header text-center">
                    <img src="../../assets/images/<?php echo $user_logged->foto_user ?>" width="125" /><br>
                    <strong><?php echo $user_logged->nama ?></strong>
                </div>
                    <ul class="list-group list-group-flush">
                    <a href="<?php echo base_url('index.php/')?>admin/dashboard" style="text-decoration:none;">
                        <li class="list-group-item bg-primary text-white border-bottom">Data Pemilik UMKM</li>
                    </a>
                    <a href="<?php echo base_url('index.php/')?>admin/umkm" style="text-decoration:none;">
                        <li class="list-group-item text-dark border-bottom">Data UMKM</li>
                    </a>
                    <a href="<?php echo base_url('index.php/')?>admin/absensi" style="text-decoration:none;">
                        <li class="list-group-item text-dark border-bottom">Absensi</li>
                    </a>
                    <a href="<?php echo base_url('index.php/')?>admin/laporan" style="text-decoration:none;">
                        <li class="list-group-item text-dark border-bottom">Laporan</li>
                    </a>
                    <a href="<?php echo base_url('index.php/')?>admin/setting" style="text-decoration:none;">
                        <li class="list-group-item text-dark">Setting</li>
                    </a>
                    </ul>
                </div>
           </div>
           <div class="col col-md-9 col-lg-9 col-sm-12 col-12" >
                <div class="card">
                    <h5 class="card-header">Pemilik UMKM</h5>
                    <div class="card-body">
                        <div>
                        <ul class="nav nav-tabs">
                            <li class="nav-item">
                                <a href="<?php echo base_url('index.php/')?>admin/tambahpemilik" class="nav-link">Tambah Data</a>
                            </li>
                            <li class="nav-item">
                                <a href="<?php echo base_url('index.php/')?>admin/dashboard" class="nav-link">Data Pemilik</a>
                            </li>

                            <li class="nav-item">
                                <a href="" class="nav-link active">
                                Detail Pemilik > <strong><?php echo $pemilik->nama ?></strong></a>
                            </li>
                            
                        </ul>

                        <div class="mt-3">
                            <form action="" class="needs-validation">
                                
                            <div class="row pr-2">
                                                
                                    <div class="col col-md-4 col-lg-4 col-sm-12 col-12">
                                        <div class="form-group text-center">
                                            <img class="mb-2" src="../../assets/images/<?php echo $pemilik->foto_user ?>" width="80" /><br>
                                            <strong><?php echo $pemilik->nama?></strong><br>
                                            <span class="badge badge-pill badge-info mt-3">@<?php echo $pemilik->username?></span><br>
                                            <?php if(strlen($pemilik->telp_user)>0){?>
                                                <span class="badge badge-pill badge-success">Telp : <?php echo $pemilik->telp_user?></span>
                                            <?php } ?>
                                        </div>
                                    </div>
                                    <div class="col col-md-8 col-lg-8 col-sm-12 col-12">
                                                <div class="row pb-2">
                                                    <div class="col col-md-4 pl-2 pr-2">NPWP</div>
                                                    <div class="col col-md-1 pl-2 pr-2">:</div>
                                                    <div class="col col-md-7 pl-2 pr-2"><?php echo $pemilik->npwp?></div>
                                                </div>

                                                <div class="row pb-2">
                                                    <div class="col col-md-4 pl-2 pr-2">Kelurahan</div>
                                                    <div class="col col-md-1 pl-2 pr-2">:</div>
                                                    <div class="col col-md-7 pl-2 pr-2"><?php echo $pemilik->kelurahan_user?></div>
                                                </div>

                                                <div class="row pb-2">
                                                    <div class="col col-md-4 pl-2 pr-2">Kota</div>
                                                    <div class="col col-md-1 pl-2 pr-2">:</div>
                                                    <div class="col col-md-7 pl-2 pr-2"><?php echo $pemilik->kota_user?></div>
                                                </div>

                                                <div class="row pb-2">
                                                    <div class="col col-md-4 pl-2 pr-2">Kecamatan</div>
                                                    <div class="col col-md-1 pl-2 pr-2">:</div>
                                                    <div class="col col-md-7 pl-2 pr-2"><?php echo $pemilik->kecamatan_user?></div>
                                                </div>

                                                <div class="row pb-2">
                                                    <div class="col col-md-4 pl-2 pr-2">Alamat</div>
                                                    <div class="col col-md-1 pl-2 pr-2">:</div>
                                                    <div class="col col-md-7 pl-2 pr-2">
                                                    <textarea class="form-control"  rows="3" disabled><?php echo $pemilik->alamat_user?></textarea>
                                                    </div>
                                                </div>
                                                
                                    </div>
                                    <div class="col col-md-12">
                                                <hr>
                                                <h5 class="ml-3">Daftar UMKM</h5>
                                                <hr>
                                    </div>
                                </div>
                               
                            </form>
                        </div>

                        <div class="mt-2">
                                <table id="tabeldata" class="table table-striped table-bordered table-responsive-lg">
                                    <thead>
                                        <tr>
                                            <th>No</th>
                                            <th>Nama Umkm</th>
                                            <th>Kecamatan</th>
                                            <th>Kelurahan</th>
                                            <th>Kategori</th>
                                            <th>Opsi</th>

                                        </tr>
                                    </thead>
                                    <tbody>
                                        <?php
                                        $no=0;
                                        foreach($listumkm as $umkm) {
                                        $no++;
                                        ?>
                                        <tr>
                                            <td><?php echo $no?></td>
                                            <td><?php echo $umkm->nama ?></td>
                                            
                                            <td><?php echo $umkm->kecamatan ?></td>
                                            <td><?php echo $umkm->kelurahan ?></td>
                                            
                                            <td><?php echo $umkm->kategori ?></td>
                                            
                                            <td>
                                                <a target="_blank" href="<?php echo base_url('index.php/')?>admin/detailumkm?id_umkm=<?php echo $umkm->id_umkm ?>" class="btn btn-block btn-info btn-sm">Detail</a>
                                            </td>
                                        </tr>
                                        <?php 
                                        }
                                        ?>
                                    
                                    </tbody>
                                
                                </table>
                        </div>
                        

                        </div>
                    </div>
                </div>
           </div>

       </div>
    </div>
    

    <!-- Optional JavaScript -->
    <!-- jQuery first, then Popper.js, then Bootstrap JS -->
    <script src="<?php echo base_url()?>assets/js/jquery-3.2.1.slim.min.js" integrity="sha384-KJ3o2DKtIkvYIK3UENzmM7KCkRr/rE9/Qpg6aAZGJwFDMVNA/GpGFF93hXpG5KkN" crossorigin="anonymous"></script>
    <script src="<?php echo base_url()?>assets/js/popper.min.js" integrity="sha384-ApNbgh9B+Y1QKtv3Rn7W3mgPxhU9K/ScQsAP7hUibX39j7fakFPskvXusvfa0b4Q" crossorigin="anonymous"></script>
    <script src="<?php echo base_url()?>assets/js/bootstrap.min.js" integrity="sha384-JZR6Spejh4U02d8jOt6vLEHfe/JQGiRRSQQxSfFWpi1MquVdAyjUar5+76PVCmYl" crossorigin="anonymous"></script>
    <script src="<?php echo base_url()?>assets/js/jquery.dataTables.min.js"></script>
    <script src="<?php echo base_url()?>assets/js/dataTables.bootstrap4.min.js"></script>
    <script src="<?php echo base_url()?>assets/js/sweetalert.min.js"></script>

    <script>
        $(document).ready(function() {
            $('#tabeldata').DataTable();
        } );
    </script>
  </body>
</html>