<?php
    function rupiah($angka){
	
        $hasil_rupiah = "Rp " . number_format($angka,0,',','.');
        return $hasil_rupiah;
     
    }
?>
<!doctype html>
<html lang="en">
  <head>
    <!-- Required meta tags -->
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">

    <!-- Bootstrap CSS -->
    <link rel="stylesheet" href="<?php echo base_url()?>assets/css/bootstrap.min.css" integrity="sha384-Gn5384xqQ1aoWXA+058RXPxPg6fy4IWvTNh0E263XmFcJlSAwiGgFAW/dAiS6JXm" crossorigin="anonymous">
    <link rel="stylesheet" href="<?php echo base_url()?>assets/css/dataTables.bootstrap4.min.css">
    <link data-require="sweet-alert@*" data-semver="0.4.2" rel="stylesheet" href="<?php echo base_url()?>assets/css/sweetalert.min.css" />


    <link rel="icon" type="image/png" href="../../assets/images/favicon.png" />

    <title>Aplikasi UMKM</title>

   
  </head>
  <body>

        <nav class="navbar navbar-expand-lg navbar-dark bg-primary">    
            <div class="container">
                <a class="navbar-brand" href="#">
                    <img src="../../assets/images/logo-white.png" width="100" alt="">
                </a>
                    <button class="navbar-toggler" type="button" data-toggle="collapse" data-target="#navbarSupportedContent" aria-controls="navbarSupportedContent" aria-expanded="false" aria-label="Toggle navigation">
                        <span class="navbar-toggler-icon"></span>
                    </button>

                    <div class="collapse navbar-collapse" id="navbarSupportedContent">
                        <ul class="navbar-nav mr-auto">
                        
                        </ul>
                        <form methode="POST" action="../login/logout" class="form-inline my-2 my-lg-0" >
                        <button class="btn btn-outline-warning btn-sm my-2 my-sm-0" type="submit">Logout</button>
                        </form>
                    </div>
             </div>
        </nav>

    <div class="container">
       <div class="row">
           <div class="col-md-3" style="cursor:pointer;">
                <div class="card">
                <div class="card-header text-center">
                    <img src="../../assets/images/<?php echo $user_logged->foto_user ?>" width="125" /><br>
                    <strong><?php echo $user_logged->nama ?></strong>
                </div>
                <ul class="list-group list-group-flush">
                    <a href="<?php echo base_url('index.php/')?>user/dashboard" style="text-decoration:none;">
                        <li class="list-group-item border-bottom text-light active">Daftar UMKM</li>
                    </a>
                    <a href="<?php echo base_url('index.php/')?>user/setting" style="text-decoration:none;">
                        <li class="list-group-item text-dark">Setting</li>
                    </a>
                    </ul>
                </div>
           </div>
           <div class="col col-12 col-md-9 col-lg-9" >
                <div class="card">
                    <h5 class="card-header">Data UMKM</h5>
                    <div class="card-body">
                        <div>
                        <ul class="nav nav-tabs">
                            <li class="nav-item">
                            <a href="<?php echo base_url('index.php/')?>user/dashboard" class="nav-link">Daftar UMKM</a>
                            </li>

                            <li class="nav-item">
                                <a href="" class="nav-link active">
                                Detail Umkm > <strong><?php echo $umkm->nama ?></strong></a>
                            </li>
                            
                        </ul>

                        <div class="mt-3">
                            <form action="" class="needs-validation">
                                <div class="row pr-2">
                                    <div class="col col-12 col-md-4 col-lg-4 pt-4">
                                                <div class="form-group text-center">
                                                    <img src="../../assets/images/umkm/<?php echo $umkm->foto_umkm ?>" width="135" class="img-thumbnail mb-2" /><br>
                                                    <strong><?php echo $umkm->nama?></strong>
                                                   
                                                </div>
                                    </div>
                                    <div class="col col-12 col-md-8 col-lg-8">
                                        <div class="row pt-1 ml-2 mb-0 pb-0">
                                            <strong>DATA TERKINI</strong>
                                        </div>
                                        <hr>
                                        <div class="row">
                                            <div class="col col-md-4">
                                                <div class="card  text-center">
                                                    <div class="card-header text-light bg-success">
                                                        TENAGA KERJA
                                                    </div>
                                                    <div class="card-body text-left">
                                                        <span class="badge badge-secondary">Laki-laki : <?php echo $karyawan_l?></span><br>
                                                        <span class="badge badge-secondary">Perempuan : <?php echo $karyawan_p?></span>
                                                    </div>
                                                </div>
                                            </div>
                                            <div class="col col-md-4">
                                                <div class="card  text-center">
                                                    <div class="card-header bg-warning">
                                                        OMSET TAHUNAN
                                                    </div>
                                                    <div class="card-body">
                                                        <h6><?php echo rupiah($omset) ?></h6>
                                                    </div>
                                                </div>
                                            </div>
                                            <div class="col col-12 col-md-4 col-lg-4 mt-2 mt-md-2 mt-lg-2">
                                                <div class="card  text-center">
                                                    <div class="card-header  text-light bg-info">
                                                        ASET TERAKHIR
                                                    </div>
                                                    <div class="card-body">
                                                        <h6><?php echo rupiah($aset) ?></h6>
                                                    </div>
                                                </div>
                                            </div>
                                        </div>
                                    </div>
                                    <div class="col col-12">
                                        <hr>
                                    </div>
                                </div>
                                <div class="row pr-2">
                                    <div class="col col-12 col-md-6 col-lg-6">

                                                <div class="row pb-2  pl-3">
                                                    <div class="col col-md-4 pl-2 pr-2">No Telp</div>
                                                    <div class="col col-md-1 pl-2 pr-2">:</div>
                                                    <div class="col col-md-7 pl-2 pr-2"><?php echo $umkm->telp?></div>
                                                </div>

                                                <div class="row pb-2 pl-3">
                                                    <div class="col col-md-4 pl-2 pr-2">Kategori</div>
                                                    <div class="col col-md-1 pl-2 pr-2">:</div>
                                                    <div class="col col-md-7 pl-2 pr-2"><?php echo $umkm->kategori?></div>
                                                </div>

                                                <div class="row pb-2 pl-3">
                                                    <div class="col col-md-4 pl-2 pr-2">Jenis</div>
                                                    <div class="col col-md-1 pl-2 pr-2">:</div>
                                                    <div class="col col-md-7 pl-2 pr-2"><?php echo $umkm->jenis?></div>
                                                </div>

                                                <div class="row pb-2  pl-3">
                                                    <div class="col col-md-4 pl-2 pr-2">Kelurahan</div>
                                                    <div class="col col-md-1 pl-2 pr-2">:</div>
                                                    <div class="col col-md-7 pl-2 pr-2"><?php echo $umkm->kelurahan?></div>
                                                </div>

                                                <div class="row pb-2  pl-3">
                                                    <div class="col col-md-4 pl-2 pr-2">Kecamatan</div>
                                                    <div class="col col-md-1 pl-2 pr-2">:</div>
                                                    <div class="col col-md-7 pl-2 pr-2"><?php echo $umkm->kecamatan?></div>
                                                </div>

                                    </div>
                                    <div class="col col-12 col-md-6 col-lg-6">

                                                <div class="row pb-2">
                                                    <div class="col col-md-12">Alamat</div>
                                                    <div class="col col-md-12">
                                                    <textarea class="form-control"  rows="1" disabled><?php echo $umkm->alamat?></textarea>
                                                    </div>
                                                </div>

                                                <div class="row pb-2">
                                                    <div class="col col-md-12">Deskripsi</div>
                                                    <div class="col col-md-12">
                                                    <textarea class="form-control"  rows="2" disabled><?php echo $umkm->deskripsi?></textarea>
                                                    </div>
                                                </div>
                                                
                                    </div>
                                    <div class="col col-12">
                                                <hr>
                                                <ul class="nav nav-tabs">
                                                    <li class="nav-item">
                                                        <a href="<?php echo base_url('index.php/')?>user/detailumkm?id_umkm=<?php echo $umkm->id_umkm ?>" class="nav-link">Absen</a>
                                                    </li>
                                                    <li class="nav-item">
                                                        <a href="<?php echo base_url('index.php/')?>user/riwayatabsensi?id_umkm=<?php echo $umkm->id_umkm ?>" class="nav-link active">Riwayat Absen</a>
                                                    </li>
                                                    <li class="nav-item">
                                                        <a href="<?php echo base_url('index.php/')?>user/produk?id_umkm=<?php echo $umkm->id_umkm ?>" class="nav-link">Produk</a>
                                                    </li>
                                                    
                                                </ul>
                                                <hr>
                                    </div>
                                </div>

                                <div class="row mt-2">
                                <div class="col col-12">
                                    <table id="tabeldata" class="table table-striped table-bordered table-responsive-lg">
                                        <thead>
                                            <tr>
                                                <th>Tahun</th>
                                                <th>Bulan</th>
                                                <th>Aset Terkini</th>
                                                <th>Omset Bulan Ini</th>
                                                <th>Jumlah l</th>
                                                <th>Jumlah p</th>
                                                <th>status</th>
                                            </tr>
                                        </thead>
                                        <tbody>
                                            <?php
                                            foreach($listabsensi as $absensi) {
                                            ?>
                                            <tr>
                                                <td><?php echo $absensi->tahun?></td>
                                                <?php 
                                                    if($absensi->bulan==1){
                                                        $bulan = 'Januari';
                                                    } elseif($absensi->bulan==2){
                                                        $bulan = 'Februari';
                                                    } elseif($absensi->bulan==3){
                                                        $bulan = 'Maret';
                                                    } elseif($absensi->bulan==4){
                                                        $bulan = 'April';
                                                    } elseif($absensi->bulan==5){
                                                        $bulan = 'Mei';
                                                    } elseif($absensi->bulan==6){
                                                        $bulan = 'Juni';
                                                    } elseif($absensi->bulan==7){
                                                        $bulan = 'Juli';
                                                    } elseif($absensi->bulan==8){
                                                        $bulan = 'Agustus';
                                                    } elseif($absensi->bulan==9){
                                                        $bulan = 'September';
                                                    } elseif($absensi->bulan==10){
                                                        $bulan = 'Oktober';
                                                    } elseif($absensi->bulan==11){
                                                        $bulan = 'November';
                                                    } elseif($absensi->bulan==12){
                                                        $bulan = 'Desember';
                                                    } else {
                                                        $bulan = 'a/n';
                                                    }
                                                    
                                                ?>
                                                <td><?php echo $bulan ?></td>
                                                <td><?php echo rupiah($absensi->aset) ?></td>
                                                <td><?php echo rupiah($absensi->omset)  ?></td>
                                                <td><?php echo $absensi->karyawan_l  ?></td>
                                                <td><?php echo $absensi->karyawan_p  ?></td>
                                                <?php if($absensi->signed=='3'){ ?>
                                                    <td><span class="badge badge-sm badge-warning">By system</span></td>
                                                <?php }elseif($absensi->signed=='1'){ ?>
                                                    <td><span class="badge badge-sm badge-success">By Owner</span></td>
                                                <?php } ?>
                                            </tr>
                                            <?php 
                                            }
                                            ?>
                                        
                                        </tbody>
                                    
                                    </table>
                                </div>
                                </div>

                                <!-- next -->
                            

                            </form>
                        </div>
                        

                        </div>
                    </div>
                </div>
            </div>

        </div>
    </div>
    

    <!-- Optional JavaScript -->
    <!-- jQuery first, then Popper.js, then Bootstrap JS -->
    <script src="<?php echo base_url()?>assets/js/jquery-3.2.1.slim.min.js" integrity="sha384-KJ3o2DKtIkvYIK3UENzmM7KCkRr/rE9/Qpg6aAZGJwFDMVNA/GpGFF93hXpG5KkN" crossorigin="anonymous"></script>
    <script src="<?php echo base_url()?>assets/js/popper.min.js" integrity="sha384-ApNbgh9B+Y1QKtv3Rn7W3mgPxhU9K/ScQsAP7hUibX39j7fakFPskvXusvfa0b4Q" crossorigin="anonymous"></script>
    <script src="<?php echo base_url()?>assets/js/bootstrap.min.js" integrity="sha384-JZR6Spejh4U02d8jOt6vLEHfe/JQGiRRSQQxSfFWpi1MquVdAyjUar5+76PVCmYl" crossorigin="anonymous"></script>
    <script src="<?php echo base_url()?>assets/js/jquery.dataTables.min.js"></script>
    <script src="<?php echo base_url()?>assets/js/dataTables.bootstrap4.min.js"></script>
    <script src="<?php echo base_url()?>assets/js/sweetalert.min.js"></script>

    <script>
        $(document).ready(function() {
            $('#tabeldata').DataTable();
        } );
    </script>
  </body>
</html>